SPLICE_FROM_PIPE_END(9)

NAME
splice_from_pipe_end - finish splicing from pipe

SYNOPSIS

void splice_from_pipe_end(struct pipe_inode_info * pipe, struct splice_desc * sd);

ARGUMENTS

pipe
    pipe to splice from

sd
    information about the splice operation

DESCRIPTION

This function will wake up pipe writers if necessary. It should be called after a loop containing splice_from_pipe_next and splice_from_pipe_feed.

COPYRIGHT